package com.cooleshow.base.constanst;

/**
 * Author by pq, Date on 2022/7/7.
 */
public class UploadConstants {
    //学生上传作业(视频)
    public static final String BUCKET_NAME_HOMEWORK = "homework";
    //聊天上传视频 图片 文件(老师端和学生端)
    public static final String BUCKET_NAME_IM = "i-m";

    //1.用户上传头像
    //3.广告管理上传广告封面 广告视频
    //4.APP按钮管理 上传APP按钮图片
    //5.Banner管理上传banner图片
    //6.闪页管理 上传闪页图片
    //10.专业管理 上传声部图片
    //11.乐理章节管理  上传章节封面
    //1.用户头像上传(老师端和学生端)
    //3.老师端上传老师风采(视频)
    //达人认证
    public static final String BUCKET_NAME_DAYA = "daya";

    public static final int UPLOAD_TYPE_HOMEWORK = 0;//对应BUCKET_NAME_HOMEWORK桶
    public static final int UPLOAD_TYPE_IM = 1;//对应BUCKET_NAME_IM桶
    public static final int UPLOAD_TYPE_OTHER = 2;//对应BUCKET_NAME_DAYA桶

    /**
     * 获取桶名称
     *
     * @param type
     * @return
     */
    public static String getBucketNameByType(int type) {
        if (type == UPLOAD_TYPE_HOMEWORK) {
            return BUCKET_NAME_HOMEWORK;
        }
        if (type == UPLOAD_TYPE_IM) {
            return BUCKET_NAME_IM;
        }
        return BUCKET_NAME_DAYA;
    }
}
